	.module ms.c
	.area data(ram, con, rel)
_SetIndicationCommand::
	.blkb 2
	.area idata
	.byte 64,'I
	.area data(ram, con, rel)
	.blkb 2
	.area idata
	.byte 48,48
	.area data(ram, con, rel)
	.blkb 2
	.area idata
	.byte 48,48
	.area data(ram, con, rel)
	.blkb 2
	.area idata
	.byte 48,48
	.area data(ram, con, rel)
	.blkb 2
	.area idata
	.byte 48,48
	.area data(ram, con, rel)
	.blkb 2
	.area idata
	.byte 48,48
	.area data(ram, con, rel)
	.blkb 2
	.area idata
	.byte 48,48
	.area data(ram, con, rel)
	.blkb 2
	.area idata
	.byte 48,48
	.area data(ram, con, rel)
	.blkb 2
	.area idata
	.byte 48,48
	.area data(ram, con, rel)
	.blkb 2
	.area idata
	.byte 48,48
	.area data(ram, con, rel)
	.blkb 2
	.area idata
	.byte 0,0
	.area data(ram, con, rel)
	.blkb 1
	.area idata
	.byte 13
	.area data(ram, con, rel)
	.dbfile D:\wt\s\ms.c
	.dbsym e SetIndicationCommand _SetIndicationCommand A[23:23]c
	.area text(rom, con, rel)
	.dbfile D:\wt\s\ms.c
	.dbfunc e CalcSummDCON _CalcSummDCON fc
;             tm -> R12
;            sum -> R10
;            len -> R18
;            src -> R16,R17
	.even
_CalcSummDCON::
	rcall push_gset4x
	.dbline -1
	.dbline 108
; //ICC-AVR application builder : 04.03.2009 13:18:59
; // Target : M8
; // Crystal: 14.7456Mhz
; 
; #include <iom8v.h>
; #include <macros.h>
; 
; 
; #define int10flag  	  		  	0x01
; #define AlarmSection1  		  	0x02
; #define AlarmSection2  		  	0x04
; #define AlarmSection3  		  	0x08
; #define SendFrame				0x10
; 
; 
; #define Section3Down  		  	0x04
; #define Section3Up  		  	0x08
; #define Section2Down  		  	0x10
; #define Section2Up  		  	0x20
; #define Section1Down  		  	0x40
; #define Section1Up  		  	0x80
; 
; 
; #define Ponton4Section1		  	0x01
; #define Ponton4Section2		  	0x02
; #define Ponton4Section3		  	0x04
; 
; #define Ponton3Section1		  	0x08
; #define Ponton3Section2		  	0x10
; #define Ponton3Section3		  	0x20
; 
; #define Ponton2Section1		  	0x40
; #define Ponton2Section2		  	0x80
; #define Ponton2Section3		  	0x08
; 
; #define Ponton1Section1		  	0x04
; #define Ponton1Section2		  	0x02
; #define Ponton1Section3		  	0x01
; 
; 
; #pragma global_register sflag:20 gage:21 count10:22
; 
; 
; //******************************************************************************
; #define WaitDoneSPI() \
; 	while(!(SPSR & (1<<SPIF))); \
; //******************************************************************************
; 
; 
; //******************************************************************************
; #define LoadPos() \
; 	PORTC &=~ 0x20; \
; 	PORTC |= 0x20; \
; //******************************************************************************
; 
; 
; //******************************************************************************
; #define PumpSection1On() \
; 	PORTB &=~ 0x01;   \
; 	
; #define PumpSection1Off() \
; 	PORTB |= 0x01;   \
; //******************************************************************************	
; 
; //******************************************************************************	
; #define PumpSection2On() \
; 	PORTB &=~ 0x02;   \
; 	
; #define PumpSection2Off() \
; 	PORTB |= 0x02;   \
; //******************************************************************************	
; 
; //******************************************************************************	
; #define PumpSection3On() \
; 	PORTB &=~ 0x04;   \
; 	
; #define PumpSection3Off() \
; 	PORTB |= 0x04;   \
; //******************************************************************************	
; 
; //******************************************************************************	
; #define TransmiteOn() \
; 	PORTC |= 0x10;   \
; 
; #define TransmiteOff() \
; 	PORTC &=~ 0x10;   \
; //******************************************************************************	
; 
; 
; unsigned char sflag, gage, count10, FrameLen;
; 
; //    
; unsigned char SetIndicationCommand[] = {0x40,0x49,	  		// @I	  	
; 		 	  						   	0x30,0x30,0x30,		//   2,3,4
; 		 	  						   	0x30,0x30,0x30,		//   5,6,7
; 		 	  						   	0x30,0x30,0x30,		//   8,9,10
; 		 	  						   	0x30,0x30,0x30,		//   11,12,13
; 		 	  						   	0x30,0x30,0x30,		//   14,15,16
; 		 	  						   	0x30,0x30,0x30,		//   17,18,19
; 										0x00,0x00,			// [chk]=C9
; 										0x0D};   			// (cr)
; 
; unsigned char *Frame;		   		  //      
; unsigned char bufer[60];	   		  //     
; 
; 
; unsigned char CalcSummDCON(unsigned char *src, unsigned char len)
; {
	.dbline 111
;  register unsigned char sum, tm;
; 
;  sum = 0;
	clr R10
L2:
	.dbline 113
;  do
;  {
	.dbline 114
;   sum += *src++;
	movw R30,R16
	ld R2,Z+
	movw R16,R30
	add R10,R2
	.dbline 115
;   len--; 
	dec R18
	.dbline 116
L3:
	.dbline 116
;  }while(len);
	tst R18
	brne L2
	.dbline 118
; 
;  tm = (sum >> 4) & 0x0F;
	mov R24,R10
	swap R24
	andi R24,#0x0F
	andi R24,15
	mov R12,R24
	.dbline 119
	ldi R24,9
	cp R24,R12
	brsh L5
	.dbline 119
	mov R24,R12
	subi R24,201    ; addi 55
	mov R12,R24
	rjmp L6
L5:
	.dbline 119
;  if (9 < tm) tm += 0x37; else tm += 0x30; 
	mov R24,R12
	subi R24,208    ; addi 48
	mov R12,R24
L6:
	.dbline 120
;  *src++ = tm;
	movw R30,R16
	st Z+,R12
	movw R16,R30
	.dbline 122
; 
;  tm = sum & 0x0F;
	mov R24,R10
	andi R24,15
	mov R12,R24
	.dbline 123
	ldi R24,9
	cp R24,R12
	brsh L7
	.dbline 123
	mov R24,R12
	subi R24,201    ; addi 55
	mov R12,R24
	rjmp L8
L7:
	.dbline 123
;  if (9 < tm) tm += 0x37; else tm += 0x30; 
	mov R24,R12
	subi R24,208    ; addi 48
	mov R12,R24
L8:
	.dbline 124
;  *src++ = tm;
	movw R30,R16
	st Z+,R12
	.dbline 126
;  
;  return(sum);
	mov R16,R10
	.dbline -2
L1:
	rcall pop_gset4x
	.dbline 0 ; func end
	ret
	.dbsym r tm 12 c
	.dbsym r sum 10 c
	.dbsym r len 18 c
	.dbsym r src 16 pc
	.dbend
	.dbfunc e timer1_init _timer1_init fV
	.even
_timer1_init::
	.dbline -1
	.dbline 135
; }
; 
; 
; //TIMER1 initialize - prescale:1024
; // WGM: 0) Normal, TOP=0xFFFF
; // desired value: 2Sec
; // actual value:  2,000Sec (0,0%)
; void timer1_init(void)
; {
	.dbline 136
;  TCCR1B = 0x00; //stop
	clr R2
	out 0x2e,R2
	.dbline 137
;  TCNT1H = 0x8F; //setup
	ldi R24,143
	out 0x2d,R24
	.dbline 138
;  TCNT1L = 0x81;
	ldi R24,129
	out 0x2c,R24
	.dbline 139
;  OCR1AH = 0x70;
	ldi R24,112
	out 0x2b,R24
	.dbline 140
;  OCR1AL = 0x7F;
	ldi R24,127
	out 0x2a,R24
	.dbline 141
;  OCR1BH = 0x70;
	ldi R24,112
	out 0x29,R24
	.dbline 142
;  OCR1BL = 0x7F;
	ldi R24,127
	out 0x28,R24
	.dbline 143
;  ICR1H  = 0x70;
	ldi R24,112
	out 0x27,R24
	.dbline 144
;  ICR1L  = 0x7F;
	ldi R24,127
	out 0x26,R24
	.dbline 145
;  TCCR1A = 0x00;
	out 0x2f,R2
	.dbline 146
;  TCCR1B = 0x05; //start Timer
	ldi R24,5
	out 0x2e,R24
	.dbline -2
L9:
	.dbline 0 ; func end
	ret
	.dbend
	.area vector(rom, abs)
	.org 16
	rjmp _timer1_ovf_isr
	.area text(rom, con, rel)
	.dbfile D:\wt\s\ms.c
	.dbfunc e timer1_ovf_isr _timer1_ovf_isr fV
	.even
_timer1_ovf_isr::
	rcall push_lset
	.dbline -1
	.dbline 152
; }
; 
; 
; #pragma interrupt_handler timer1_ovf_isr:9
; void timer1_ovf_isr(void)
; {
	.dbline 154
;  //TIMER1 has overflowed
;  TCNT1H = 0x8F; //reload counter high value
	ldi R24,143
	out 0x2d,R24
	.dbline 155
;  TCNT1L = 0x81; //reload counter low value
	ldi R24,129
	out 0x2c,R24
	.dbline 157
;  
;  Frame = &SetIndicationCommand[0];		 	//      
	ldi R24,<_SetIndicationCommand
	ldi R25,>_SetIndicationCommand
	sts _Frame+1,R25
	sts _Frame,R24
	.dbline 158
;  CalcSummDCON(Frame,20); 		   	   		//    
	ldi R18,20
	movw R16,R24
	rcall _CalcSummDCON
	.dbline 159
;  sflag |= SendFrame;				   		//    
	ori R20,16
	.dbline 160
;  FrameLen = 23;					   			//    
	ldi R24,23
	sts _FrameLen,R24
	.dbline 161
;  TransmiteOn(); 				   			//   RS-485
	sbi 0x15,4
	.dbline 161
	.dbline 162
;  UDR = *Frame++;	   				   		//    
	lds R30,_Frame
	lds R31,_Frame+1
	ld R2,Z+
	sts _Frame+1,R31
	sts _Frame,R30
	out 0xc,R2
	.dbline -2
L10:
	rcall pop_lset
	.dbline 0 ; func end
	reti
	.dbend
	.dbfunc e port_init _port_init fV
	.even
_port_init::
	.dbline -1
	.dbline 167
; }
; 
; 
; void port_init(void)
; {
	.dbline 168
;  PORTB = 0xFF;
	ldi R24,255
	out 0x18,R24
	.dbline 169
;  DDRB  = 0x2F;
	ldi R24,47
	out 0x17,R24
	.dbline 171
;  
;  PORTC = 0x6F; 
	ldi R24,111
	out 0x15,R24
	.dbline 172
;  DDRC  = 0x30;
	ldi R24,48
	out 0x14,R24
	.dbline 174
;  
;  PORTD = 0xFF;
	ldi R24,255
	out 0x12,R24
	.dbline 175
;  DDRD  = 0x02;
	ldi R24,2
	out 0x11,R24
	.dbline -2
L11:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e watchdog_init _watchdog_init fV
	.even
_watchdog_init::
	.dbline -1
	.dbline 182
; }
; 
; 
; //Watchdog initialize
; // prescale: 128K
; void watchdog_init(void)
; {
	.dbline 183
;  WDR(); //this prevents a timout on enabling
	wdr
	.dbline 184
;  WDTCR = 0x0E; //WATCHDOG ENABLED - dont forget to issue WDRs
	ldi R24,14
	out 0x21,R24
	.dbline -2
L12:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e timer0_init _timer0_init fV
	.even
_timer0_init::
	.dbline -1
	.dbline 192
; }
; 
; 
; //TIMER0 initialize - prescale:1024
; // desired value: 10mSec
; // actual value:  9,931mSec (0,7%)
; void timer0_init(void)
; {
	.dbline 193
;  TCCR0 = 0x00; //stop
	clr R2
	out 0x33,R2
	.dbline 194
;  TCNT0 = 0x71; //set count
	ldi R24,113
	out 0x32,R24
	.dbline 195
;  TCCR0 = 0x05; //start timer
	ldi R24,5
	out 0x33,R24
	.dbline -2
L13:
	.dbline 0 ; func end
	ret
	.dbend
	.area vector(rom, abs)
	.org 18
	rjmp _timer0_ovf_isr
	.area text(rom, con, rel)
	.dbfile D:\wt\s\ms.c
	.dbfunc e timer0_ovf_isr _timer0_ovf_isr fV
	.even
_timer0_ovf_isr::
	st -y,R24
	in R24,0x3f
	st -y,R24
	.dbline -1
	.dbline 201
	.dbline 202
	ldi R24,113
	out 0x32,R24
	.dbline 203
	ori R20,1
	.dbline 204
	inc R22
	.dbline 205
	cpi R22,10
	brne L15
	.dbline 205
	clr R22
L15:
	.dbline -2
L14:
	ld R24,y+
	out 0x3f,R24
	ld R24,y+
	.dbline 0 ; func end
	reti
	.dbend
	.dbfunc e spi_init _spi_init fV
	.even
_spi_init::
	.dbline -1
	.dbline 212
; }
; 
; 
; #pragma interrupt_handler timer0_ovf_isr:10
; void timer0_ovf_isr(void)
; {
;  TCNT0 = 0x71; //reload counter value
;  sflag |= int10flag;
;  count10 ++;
;  if(10 == count10) count10 = 0;
; }
; 
; 
; //SPI initialize
; // clock rate: 3686399hz
; void spi_init(void)
; {
	.dbline 213
;  SPCR = 0x5C; //setup SPI
	ldi R24,92
	out 0xd,R24
	.dbline 214
;  SPSR = 0x00; //setup SPI
	clr R2
	out 0xe,R2
	.dbline -2
L17:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e uart0_init _uart0_init fV
	.even
_uart0_init::
	.dbline -1
	.dbline 224
; }
; 
; 
; //UART0 initialize
; // desired baud rate: 9600
; // actual: baud rate:9600 (0,0%)
; // char size: 8 bit
; // parity: Disabled
; void uart0_init(void)
; {
	.dbline 225
;  UCSRB = 0x00; //disable while setting baud rate
	clr R2
	out 0xa,R2
	.dbline 226
;  UCSRA = 0x00;
	out 0xb,R2
	.dbline 227
;  UCSRC = BIT(URSEL) | 0x06;
	ldi R24,134
	out 0x20,R24
	.dbline 228
;  UBRRL = 0x5F; //set baud rate lo
	ldi R24,95
	out 0x9,R24
	.dbline 229
;  UBRRH = 0x00; //set baud rate hi
	out 0x20,R2
	.dbline 230
;  UCSRB = 0xD8;
	ldi R24,216
	out 0xa,R24
	.dbline -2
L18:
	.dbline 0 ; func end
	ret
	.dbend
	.area vector(rom, abs)
	.org 22
	rjmp _uart0_rx_isr
	.area text(rom, con, rel)
	.dbfile D:\wt\s\ms.c
	.dbfunc e uart0_rx_isr _uart0_rx_isr fV
;    RecivedByte -> R16
	.even
_uart0_rx_isr::
	st -y,R16
	in R16,0x3f
	st -y,R16
	.dbline -1
	.dbline 236
; }
; 
; 
; #pragma interrupt_handler uart0_rx_isr:12
; void uart0_rx_isr(void)
; {
	.dbline 239
;  unsigned char RecivedByte;
; 
;  RecivedByte = UDR;  			//     
	in R16,0xc
	.dbline -2
L19:
	ld R16,y+
	out 0x3f,R16
	ld R16,y+
	.dbline 0 ; func end
	reti
	.dbsym r RecivedByte 16 c
	.dbend
	.area vector(rom, abs)
	.org 26
	rjmp _uart0_tx_isr
	.area text(rom, con, rel)
	.dbfile D:\wt\s\ms.c
	.dbfunc e uart0_tx_isr _uart0_tx_isr fV
	.even
_uart0_tx_isr::
	st -y,R2
	st -y,R24
	st -y,R30
	st -y,R31
	in R2,0x3f
	st -y,R2
	.dbline -1
	.dbline 245
; }
; 
; 
; #pragma interrupt_handler uart0_tx_isr:14
; void uart0_tx_isr(void)
; {
	.dbline 246
;  if(sflag & SendFrame)			//    
	sbrs R20,4
	rjmp L21
	.dbline 247
;  {
	.dbline 248
;   FrameLen--;					//   
	lds R24,_FrameLen
	subi R24,1
	sts _FrameLen,R24
	.dbline 249
;   if(0 == FrameLen)	   			//    
	tst R24
	brne L23
	.dbline 250
;   {
	.dbline 251
;    sflag &=~ SendFrame;			//    
	andi R20,239
	.dbline 252
;    TransmiteOff();				//    
	cbi 0x15,4
	.dbline 252
	.dbline 253
;    return;			   			//  
	rjmp L20
L23:
	.dbline 255
	lds R30,_Frame
	lds R31,_Frame+1
	ld R2,Z+
	sts _Frame+1,R31
	sts _Frame,R30
	out 0xc,R2
	.dbline 256
L21:
	.dbline -2
L20:
	ld R2,y+
	out 0x3f,R2
	ld R31,y+
	ld R30,y+
	ld R24,y+
	ld R2,y+
	.dbline 0 ; func end
	reti
	.dbend
	.dbfunc e init_devices _init_devices fV
	.even
_init_devices::
	.dbline -1
	.dbline 262
;   }// if(0 == FrameLen)
;   UDR = *Frame++;	   			//    
;  }// if(uflag & SendFrame)
; }
; 
; 
; //call this routine to initialize all peripherals
; void init_devices(void)
; {
	.dbline 264
;  //stop errant interrupts until set up
;  CLI(); //disable all interrupts
	cli
	.dbline 265
;  port_init();
	rcall _port_init
	.dbline 266
;  watchdog_init();
	rcall _watchdog_init
	.dbline 267
;  timer0_init();
	rcall _timer0_init
	.dbline 268
;  timer1_init();
	rcall _timer1_init
	.dbline 269
;  spi_init();
	rcall _spi_init
	.dbline 270
;  uart0_init();
	rcall _uart0_init
	.dbline 272
; 
;  MCUCR = 0x00;
	clr R2
	out 0x35,R2
	.dbline 273
;  GICR  = 0x00;
	out 0x3b,R2
	.dbline 274
;  TIMSK = 0x05; //timer interrupt sources
	ldi R24,5
	out 0x39,R24
	.dbline 275
;  SEI(); //re-enable interrupts
	sei
	.dbline -2
L25:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e main _main fV
;             t2 -> <dead>
;              t -> R10
	.even
_main::
	.dbline -1
	.dbline 280
;  //all peripherals are now initialized
; }
; 
; void main(void)
; {
	.dbline 283
;  unsigned char t,t2;
;   
;  sflag = 0;
	clr R20
	.dbline 284
;  gage = 0;
	clr R21
	.dbline 286
; 
;  init_devices();
	rcall _init_devices
L27:
	.dbline 289
;  
;  do
;  {
	.dbline 290
;   if(sflag & int10flag)
	sbrs R20,0
	rjmp L30
	.dbline 291
;   {
	.dbline 292
;    sflag &=~ int10flag;	   		    //   
	andi R20,254
	.dbline 294
;  
;    WDR();
	wdr
	.dbline 296
; 
;    if(1 == count10)					//   1    
	cpi R22,1
	brne L32
	.dbline 297
;    {
	.dbline 298
;     gage = PIND;		   	   		  	//   
	in R21,0x10
	.dbline 299
;     if(!(gage & Section1Down)) 	  	//     1
	sbrc R21,6
	rjmp L34
	.dbline 300
;     {
	.dbline 301
; 	 sflag |= AlarmSection1;	  	  	//      1
	ori R20,2
	.dbline 302
; 	 SetIndicationCommand[8] = 0x31; //     -1
	ldi R24,49
	sts _SetIndicationCommand+8,R24
	.dbline 303
; 	 if(!(gage & Section1Up))  	   	//        1
	sbrc R21,7
	rjmp L35
	.dbline 304
; 	 {
	.dbline 305
; 	  PumpSection1On()		  	  //     1
	cbi 0x18,0
	.dbline 306
; 	 }//if(!(gage & Section1Up))
	.dbline 307
;     }//if(!(gage & Section1Down))
	rjmp L35
L34:
	.dbline 309
;     else 
;     {
	.dbline 310
; 	 sflag &=~ AlarmSection1;	  //      1
	andi R20,253
	.dbline 311
; 	 SetIndicationCommand[8] = 0x30; //     -1
	ldi R24,48
	sts _SetIndicationCommand+8,R24
	.dbline 312
; 	 PumpSection1Off();		  	  //     1
	sbi 0x18,0
	.dbline 312
	.dbline 313
;     }// else
L35:
	.dbline 315
; 
;     if(!(gage & Section2Down)) 	  //     2
	sbrc R21,4
	rjmp L40
	.dbline 316
;     {
	.dbline 317
; 	 sflag |= AlarmSection2;	  	  //      2
	ori R20,4
	.dbline 318
; 	 SetIndicationCommand[9] = 0x31; //     -2
	ldi R24,49
	sts _SetIndicationCommand+9,R24
	.dbline 319
; 	 if(!(gage & Section2Up))  	  //        2
	sbrc R21,5
	rjmp L41
	.dbline 320
; 	 {
	.dbline 321
; 	  PumpSection2On()		  	  //     2
	cbi 0x18,1
	.dbline 322
; 	 }//if(!(gage & Section2Up))
	.dbline 323
;     }//if(!(gage & Section2Down))
	rjmp L41
L40:
	.dbline 325
;     else 
;     {
	.dbline 326
; 	 sflag &=~ AlarmSection2;	  //      2
	andi R20,251
	.dbline 327
; 	 SetIndicationCommand[9] = 0x30; //     -2
	ldi R24,48
	sts _SetIndicationCommand+9,R24
	.dbline 328
; 	 PumpSection2Off();		  	  //     2
	sbi 0x18,1
	.dbline 328
	.dbline 329
;     }// else
L41:
	.dbline 331
; 
;     if(!(gage & Section3Down)) 	  //     3
	sbrc R21,2
	rjmp L46
	.dbline 332
;     {
	.dbline 333
; 	 sflag |= AlarmSection3;	  	  //      3
	ori R20,8
	.dbline 334
; 	 SetIndicationCommand[11] = 0x31; //     -1
	ldi R24,49
	sts _SetIndicationCommand+11,R24
	.dbline 335
; 	 if(!(gage & Section3Up))  	  //        3
	sbrc R21,3
	rjmp L47
	.dbline 336
; 	 {
	.dbline 337
; 	  PumpSection3On()		  	  //     3
	cbi 0x18,2
	.dbline 338
; 	 }//if(!(gage & Section3Up))
	.dbline 339
;     }//if(!(gage & Section3Down))
	rjmp L47
L46:
	.dbline 341
;     else 
;     {
	.dbline 342
;   	 sflag &=~ AlarmSection3;	  //      3
	andi R20,247
	.dbline 343
; 	 SetIndicationCommand[11] = 0x30; //     -1
	ldi R24,48
	sts _SetIndicationCommand+11,R24
	.dbline 344
; 	 PumpSection3Off();		  	  //     3
	sbi 0x18,2
	.dbline 344
	.dbline 345
;     }// else
L47:
	.dbline 346
;    }// if(1 == count10)
L32:
	.dbline 348
;    
;    if(2==count10)		   			  //   2   
	cpi R22,2
	breq X1
	rjmp L52
X1:
	.dbline 349
;    {
	.dbline 350
;     t = PINC & 0x0F;
	in R24,0x13
	andi R24,15
	mov R10,R24
	.dbline 353
; 
; //***************************************************************************************************************************************
; 	if(!(t & Ponton4Section3))			  //      4,  3
	sbrc R24,2
	rjmp L54
	.dbline 354
; 	{
	.dbline 355
; 	 SetIndicationCommand[19] = 0x31; //     -3
	ldi R24,49
	sts _SetIndicationCommand+19,R24
	.dbline 356
; 	}// if(!(t & Ponton4Section3))    
	rjmp L55
L54:
	.dbline 358
;     else 
;     {
	.dbline 359
; 	 SetIndicationCommand[19] = 0x30; //     -3
	ldi R24,48
	sts _SetIndicationCommand+19,R24
	.dbline 360
;     }// else
L55:
	.dbline 361
; 	if(!(t & Ponton4Section2))			  //      4,  2
	sbrc R10,1
	rjmp L58
	.dbline 362
; 	{
	.dbline 363
; 	 SetIndicationCommand[18] = 0x31; //     -2
	ldi R24,49
	sts _SetIndicationCommand+18,R24
	.dbline 364
; 	}// if(!(t & Ponton4Section2))    
	rjmp L59
L58:
	.dbline 366
;     else 
;     {
	.dbline 367
; 	 SetIndicationCommand[18] = 0x30; //     -2
	ldi R24,48
	sts _SetIndicationCommand+18,R24
	.dbline 368
;     }// else
L59:
	.dbline 369
; 	if(!(t & Ponton4Section1))			  //      4,  1
	sbrc R10,0
	rjmp L62
	.dbline 370
; 	{
	.dbline 371
; 	 SetIndicationCommand[17] = 0x31; //     -1
	ldi R24,49
	sts _SetIndicationCommand+17,R24
	.dbline 372
; 	}// if(!(t & Ponton4Section1))    
	rjmp L63
L62:
	.dbline 374
;     else 
;     {
	.dbline 375
; 	 SetIndicationCommand[17] = 0x30; //     -1
	ldi R24,48
	sts _SetIndicationCommand+17,R24
	.dbline 376
;     }// else
L63:
	.dbline 380
; //***************************************************************************************************************************************
; 
; //***************************************************************************************************************************************
; 	if(!(t & Ponton3Section1))			  //      3,  1
	sbrc R10,3
	rjmp L66
	.dbline 381
; 	{
	.dbline 382
; 	 SetIndicationCommand[14] = 0x31; //     -1
	ldi R24,49
	sts _SetIndicationCommand+14,R24
	.dbline 383
; 	}// if(!(t & Ponton3Section1))    
	rjmp L67
L66:
	.dbline 385
;     else 
;     {
	.dbline 386
; 	 SetIndicationCommand[14] = 0x30; //     H-1
	ldi R24,48
	sts _SetIndicationCommand+14,R24
	.dbline 387
;     }// else
L67:
	.dbline 389
; 
; 	LoadPos();						   //     
	cbi 0x15,5
	.dbline 389
	sbi 0x15,5
	.dbline 389
	.dbline 390
; 	SPDR = 0xFF;
	ldi R24,255
	out 0xf,R24
L70:
	.dbline 391
L71:
	.dbline 391
;     WaitDoneSPI(); 		  		   //      SPI
	sbis 0xe,7
	rjmp L70
	.dbline 391
	.dbline 392
; 	t = SPDR; 
	in R10,0xf
	.dbline 393
; 	if(!(t & Ponton3Section2))			  //      3,  2
	sbrc R10,4
	rjmp L73
	.dbline 394
; 	{
	.dbline 395
; 	 SetIndicationCommand[15] = 0x31; //     -2
	ldi R24,49
	sts _SetIndicationCommand+15,R24
	.dbline 396
; 	}// if(!(t & Ponton3Section2))    
	rjmp L74
L73:
	.dbline 398
;     else 
;     {
	.dbline 399
; 	 SetIndicationCommand[15] = 0x30; //     H-2
	ldi R24,48
	sts _SetIndicationCommand+15,R24
	.dbline 400
;     }// else
L74:
	.dbline 401
; 	if(!(t & Ponton3Section3))			  //      3,  3
	sbrc R10,5
	rjmp L77
	.dbline 402
; 	{
	.dbline 403
; 	 SetIndicationCommand[16] = 0x31; //     -3
	ldi R24,49
	sts _SetIndicationCommand+16,R24
	.dbline 404
; 	}// if(!(t & Ponton3Section3))    
	rjmp L78
L77:
	.dbline 406
;     else 
;     {
	.dbline 407
; 	 SetIndicationCommand[16] = 0x30; //     H-3
	ldi R24,48
	sts _SetIndicationCommand+16,R24
	.dbline 408
;     }// else
L78:
	.dbline 413
; //***************************************************************************************************************************************
; 
; 
; //***************************************************************************************************************************************
; 	if(!(t & Ponton2Section1))			  //      2,  1
	sbrc R10,6
	rjmp L81
	.dbline 414
; 	{
	.dbline 415
; 	 SetIndicationCommand[5] = 0x31; //     -1
	ldi R24,49
	sts _SetIndicationCommand+5,R24
	.dbline 416
; 	}// if(!(t & Ponton2Section1))    
	rjmp L82
L81:
	.dbline 418
;     else 
;     {
	.dbline 419
; 	 SetIndicationCommand[5] = 0x30; //     -1
	ldi R24,48
	sts _SetIndicationCommand+5,R24
	.dbline 420
;     }// else
L82:
	.dbline 422
; 	
; 	if(!(t & Ponton2Section2))			  //      3,  2
	sbrc R10,7
	rjmp L85
	.dbline 423
; 	{
	.dbline 424
; 	 SetIndicationCommand[6] = 0x31; //     -2
	ldi R24,49
	sts _SetIndicationCommand+6,R24
	.dbline 425
; 	}// if(!(t & Ponton2Section2))    
	rjmp L86
L85:
	.dbline 427
;     else 
;     {
	.dbline 428
; 	 SetIndicationCommand[6] = 0x30; //     -2
	ldi R24,48
	sts _SetIndicationCommand+6,R24
	.dbline 429
;     }// else
L86:
	.dbline 431
; 
; 	if(!(t & Ponton2Section3))			  //      3,  3
	sbrc R10,3
	rjmp L89
	.dbline 432
; 	{
	.dbline 433
; 	 SetIndicationCommand[7] = 0x31; //     -3
	ldi R24,49
	sts _SetIndicationCommand+7,R24
	.dbline 434
; 	}// if(!(t & Ponton2Section3))    
	rjmp L90
L89:
	.dbline 436
;     else 
;     {
	.dbline 437
; 	 SetIndicationCommand[7] = 0x30; //     -3
	ldi R24,48
	sts _SetIndicationCommand+7,R24
	.dbline 438
;     }// else
L90:
	.dbline 442
; //***************************************************************************************************************************************
; 
; //***************************************************************************************************************************************
; 	if(!(t & Ponton1Section1))			  //      1,  1
	sbrc R10,2
	rjmp L93
	.dbline 443
; 	{
	.dbline 444
; 	 SetIndicationCommand[2] = 0x31; //     -1
	ldi R24,49
	sts _SetIndicationCommand+2,R24
	.dbline 445
; 	}// if(!(t & Ponton1Section1))    
	rjmp L94
L93:
	.dbline 447
;     else 
;     {
	.dbline 448
; 	 SetIndicationCommand[2] = 0x30; //     -1
	ldi R24,48
	sts _SetIndicationCommand+2,R24
	.dbline 449
;     }// else
L94:
	.dbline 451
; 	
; 	if(!(t & Ponton1Section2))			  //      3,  2
	sbrc R10,1
	rjmp L97
	.dbline 452
; 	{
	.dbline 453
; 	 SetIndicationCommand[3] = 0x31; //     -2
	ldi R24,49
	sts _SetIndicationCommand+3,R24
	.dbline 454
; 	}// if(!(t & Ponton1Section2))    
	rjmp L98
L97:
	.dbline 456
;     else 
;     {
	.dbline 457
; 	 SetIndicationCommand[3] = 0x30; //     -2
	ldi R24,48
	sts _SetIndicationCommand+3,R24
	.dbline 458
;     }// else
L98:
	.dbline 460
; 
; 	if(!(t & Ponton1Section3))			  //      3,  3
	sbrc R10,0
	rjmp L101
	.dbline 461
; 	{
	.dbline 462
; 	 SetIndicationCommand[4] = 0x31; //     -3
	ldi R24,49
	sts _SetIndicationCommand+4,R24
	.dbline 463
; 	}// if(!(t & Ponton1Section3))    
	rjmp L102
L101:
	.dbline 465
;     else 
;     {
	.dbline 466
; 	 SetIndicationCommand[4] = 0x30; //     -3
	ldi R24,48
	sts _SetIndicationCommand+4,R24
	.dbline 467
;     }// else
L102:
	.dbline 471
; //***************************************************************************************************************************************
; 	
; 	
;    }//if(2==count10)
L52:
	.dbline 474
; 
;    
;   }//if(sflag & Int10Flag)
L30:
	.dbline 475
L28:
	.dbline 475
	rjmp L27
X0:
	.dbline -2
L26:
	.dbline 0 ; func end
	ret
	.dbsym l t2 1 c
	.dbsym r t 10 c
	.dbend
	.area bss(ram, con, rel)
	.dbfile D:\wt\s\ms.c
_bufer::
	.blkb 60
	.dbsym e bufer _bufer A[60:60]c
_Frame::
	.blkb 2
	.dbsym e Frame _Frame pc
_FrameLen::
	.blkb 1
	.dbsym e FrameLen _FrameLen c
